//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Cafe_App.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;

    public partial class DetailPenjualan
    {
        public int ID_DetailJual { get; set; }
        public Nullable<int> ID_Produk { get; set; }
        public Nullable<int> ID_Penjualan { get; set; }
        public Nullable<short> Jumlah { get; set; }
        public Nullable<decimal> Subtotal { get; set; }

        DBEntities db = new DBEntities();
        public Produk ModelProduk
        {
            get
            {
                return db.Produks.Where(x => x.ID_Produk == ID_Produk).SingleOrDefault();
            }
            set
            {
                ID_Produk = value.ID_Produk;
            }
        }

        public virtual Penjualan Penjualan { get; set; }
        public virtual Produk Produk { get; set; }
    }
}
